#include <QApplication>

#include <qdeclarative.h>
#include <QDeclarativeView>
#include <qdeclarativecontext.h>

#include "object1.h"
#include "object2.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  QDeclarativeView view;
   view.setResizeMode(QDeclarativeView::SizeRootObjectToView);

   qmlRegisterType<Object1>("com.test.object1", 1, 0, "Object1");
   qmlRegisterType<Object2>("com.test.object2", 1, 0, "Object2");

   Object1 *object1 = new Object1();

   view.rootContext()->setContextProperty("myObject1",object1);

   view.setSource(QUrl::fromLocalFile("main.qml"));
   view.show();

  return app.exec();
}
