#ifndef _OBJECT1_H_
#define _OBJECT1_H_

#include <QObject>

#include "object2.h"

class Object1 : public QObject
{
    Q_OBJECT

    Q_PROPERTY (QString name READ getName)

public:
    Object1(QObject *parent = 0);

public slots:
    Object2 *getObject2();
    void passObject2Script();

signals:
    void mySignalSpecific(Object1 *obj);
    void mySignalQObject(QObject *obj);

private:
    QString m_name;

    QString getName();
};

#endif
